\documentclass[10pt]{scrartcl}
\usepackage[utf8]{inputenc}
\usepackage{amsmath,amssymb}
\usepackage{graphicx}
\usepackage[a4paper,width=150mm,top=25mm,bottom=25mm]{geometry}
\usepackage{enumerate} %Roman enumeration
\usepackage{dsfont}
\usepackage{sectsty}
\usepackage{mathtools}
\usepackage{float}
\usepackage{physics}
\usepackage{pdfpages}
\renewcommand*{\thepage}{\large\arabic{page}}
\usepackage{slashed}
\usepackage{mathrsfs}
\usepackage[shortlabels]{enumitem}
\usepackage{tabularx}
\usepackage{lipsum}

\usepackage{tikz}
\usetikzlibrary{graphdrawing}
\usepackage{luacode}
\begin{luacode}
  function pgf_lookup_and_require(name)
    local sep = '/'
    if string.find(os.getenv('PATH'),';') then
      sep = '\string\\'
    end
    local function lookup(name)
      local sub = name:gsub('%.',sep)
      local find_func = function (name, suffix)
        if resolvers then
          local n = resolvers.findfile (name.."."..suffix, suffix) -- changed
          return (not (n == '')) and n or nil
        else
          return kpse.find_file(name,suffix)
        end
      end
      if find_func(sub, 'lua') then
        require(name)
      elseif find_func(sub, 'clua') then
        collectgarbage('stop')
        require(name)
        collectgarbage('restart')
      else
        return false
      end
      return true
    end
    return
      lookup('pgf.gd.' .. name .. '.library') or
      lookup('pgf.gd.' .. name) or
      lookup(name .. '.library') or
      lookup(name)
  end
\end{luacode}
\usepackage{tikz-feynman}
\makeatletter
\tikzfeynmanset{compat=\tikzfeynman@version@major.\tikzfeynman@version@minor.\tikzfeynman@version@patch}
\makeatother
\allsectionsfont{\centering}


\allsectionsfont{\centering}

% New commands
\newcommand*{\QED}{\hfill\ensuremath{\blacksquare}}%
\newcommand*{\QEDB}{\hfill\ensuremath{\square}}%
%\newcommand*{\Tr}{\text{Tr}}%
\newcommand*{\intdim}{\int \frac{d^{d} q}{(2\pi)^{d}}}%
\renewcommand*{\i}{\mathrm{i}}%
\newcommand*{\allimplies}{\big\} \hspace*{-0.2cm} \implies }%
\newcommand\hteq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny !}}}{=}}}
\newcommand\oneeq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny (i)}}}{=}}}
\newcommand\indeq{\mathrel{\stackrel{\makebox[0pt]{\mbox{\normalfont\tiny ind}}}{=}}}



\begin{document}
% Original sheet
\includepdf[pages=-]{sheet12.pdf}
% Exercise 1
\noindent\rule{\textwidth}{2pt}
\textbf{Exercise 1 -- Solution:}\\\
\begin{addmargin}[1cm]{0cm}
In order to calculate the 1-loop renormalization constants $Z_{3}, Z_{m}$ and $Z_{2}$ we need to consider the following graphs and limits:
\begin{table}[H]
\centering
\begin{tabular}{ccc}
% Pi mu nu
\feynmandiagram [layered layout, horizontal=b to c] { 
a [particle={\(a, \mu\)}] -- [photon, momentum=\(p\)] b [dot]
-- [fermion, half left, looseness=1.7, momentum=\(p-q\)] c [dot]
-- [fermion, half left, looseness=1.7, momentum=\(q\)] b,
c -- [photon, momentum=\(p\)] d [particle={\(b,\nu\)}],
};
&
% Sigma_0
\feynmandiagram [layered layout, horizontal=b to c] { 
a [particle={\(a\)}] -- [fermion, momentum=\(p\)] b [dot] 
-- [photon, half left, looseness=1.7, momentum=\(p-q\)] c [dot]
c -- [fermion, momentum=\(p\)] d [particle={\(b\)}],
b -- [fermion, momentum=\(q\), edge label'={$p^{2}=m^{2}$}] c,
};
&
% Sigma_0
\feynmandiagram [layered layout, horizontal=b to c] { 
a [particle={\(a\)}] -- [fermion, momentum=\(p\)] b [dot] 
-- [photon, half left, looseness=1.7, momentum=\(p-q\)] c [dot]
c -- [fermion, momentum=\(p\)] d [particle={\(b\)}],
b -- [fermion, momentum=\(q\), edge label'={$m \downarrow 0$}] c,
}; \\
$(i) \: Z_{3}$ & $(ii) \: Z_{m}$ & $(iii) \: Z_{2}$
\end{tabular}
\end{table}
\ \\
\textit{Ad (i):}
For the photon contribution we denote the amplitude by $\Pi^{\mu \nu} (p)$. From the Feynman Rules of QED we obtain:
\begin{align*}
\Pi^{\mu \nu} (p) &= (- \i ) (-1) (-\i e_{0} )^{2} \big(\mu^{2-\frac{d}{2}} \big)^{2} \intdim \Tr  \bigg[ \gamma^{\mu} \frac{\i}{-\slashed{q}-m+\i \varepsilon} \gamma^{\nu} \frac{\i}{(\slashed{p}-\slashed{q}) - m + \i \varepsilon} \bigg] = \ldots
\end{align*}
We have to use Feynman Parameters in order to make the integral solvable. Introducing Feynman Parameters yields:
\begin{align*}
\ldots &= \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \frac{\Tr (\gamma^{\mu} (-\slashed{q} + m) \gamma^{\nu} (\slashed{p} - \slashed{q} + m) )}{\big( (1-x) (q^{2} - m^{2} + \i \varepsilon ) + x ((p-q)^{2} - m^{2} + \i \varepsilon ) \big)^{2}} \\
&= \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \frac{4 (g^{\mu \nu} (m^{2} + p \cdot q -q^{2} ) - p^{\nu} q^{\mu} - p^{\mu} q^{\nu} + 2q^{\mu} q^{\nu})}{(q^{2} - m^{2} + p^{2} x -2 p \cdot q x + \i \varepsilon)^{2}} \\
&\overset{\mathclap{q \mapsto q+px}}{=} \hspace*{1.5em} \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \frac{4 (g^{\mu \nu} (m^{2} - x p^{2} (x-1) -q^{2} ) + 2p^{\mu} p^{\nu} x (x-1) + 2 q^{\mu} q^{\nu})}{(q^{2} - (\underbrace{m^{2} + p^{2} x (x-1) - \i \varepsilon}_{\Delta}))^{2}} = \ldots
\end{align*}
Since the integral is over the whole momentum space we have dropped terms that are odd in $q$. Moreover we used the following known $\gamma$-matrix trace identities:
\begin{align*}
\Tr (\gamma^{\mu} \gamma^{\nu} ) &= 4 g^{\mu \nu} \\
\Tr ( \gamma^{\mu} \gamma^{\nu} \gamma^{\rho} \gamma^{\sigma} ) &= 4 (g^{\mu \nu} g^{\rho \sigma} - g^{\mu \rho} g^{\nu \sigma} + g^{\mu \sigma} g^{\nu \rho} )
\end{align*}
Furthermore we can rewrite:
\begin{equation*}
g^{\mu \nu} (m^{2} - x p^{2} (x-1) -q^{2} ) = - g^{\mu \nu} (q^{2} - \Delta ) - 2x(x-1) g^{\mu \nu} p^{2} 
\end{equation*}
All together we get:
\begin{align*}
\ldots &= 4 \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \bigg[ \frac{2 q^{\mu} q^{\nu}}{(q^{2}- \Delta)^{2}} + \frac{2x(1-x)(p^{\mu} p^{\nu} - g^{\mu \nu} p^{2})}{(q^{2} - \Delta)^{2}} - \frac{g^{\mu \nu} }{q^{2} -\Delta} \bigg] \\
&= 4 \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \bigg[ \frac{2x(1-x)(p^{\mu} p^{\nu} - g^{\mu \nu} p^{2})}{(q^{2} - \Delta)^{2}} \bigg] \\
&= - \frac{4 {e_{0}}^{2}}{(4 \pi)^{2}} \int_{0}^{1} dx \, 2x (x-1) (p^{\mu} p^{\nu} - g^{\mu \nu} p^{2}) \Gamma (\epsilon) \bigg( \frac{4 \pi \mu^{2}}{\Delta} \bigg)^{\epsilon} = \ldots
\end{align*}
From the first to the second line we made use of our \textsf{dimreg}\footnote{We include the appendix of Peskin and Schroeder on the last page for reference here.} integral and noticed that the first and third term cancel. Afterward we calculated the remaining integral with \textsf{dimreg}. The next step is to expand the divergent expression up to order $\epsilon$: 
\begin{align*}
\ldots &= - \frac{{e_{0}}^{2}}{2 \pi^{2}} \int_{0}^{1} dx \, x (x-1) (p^{\mu} p^{\nu} - g^{\mu \nu} p^{2}) \bigg( \frac{1}{\epsilon} - \gamma_{E} + \log \bigg( \frac{4 \pi \mu^{2}}{\Delta} \bigg )\bigg) \\
&= \frac{2 \alpha_{0}}{\pi} (p^{\mu} p^{\nu} - g^{\mu \nu} p^{2}) \bigg[ \frac{1}{6} \bigg( \frac{1}{\epsilon} - \gamma_{E} \bigg) + \int_{0}^{1} dx \, x(1-x) \log \bigg( \frac{4 \pi \mu^{2}}{\Delta} \bigg) \bigg]
\end{align*}
Now the next step is to derive the Feynman Rules for the photon counterterm. Expanding in $Z_{3}$ yields:
\begin{align*}
\i \mathscr{L}_{\text{QED}} &\ni - \i \frac{1}{4} F_{\mu \nu} F^{\mu \nu} \\
&= - \i \frac{1}{2} \delta Z_{3} (\partial^{\mu} A^{\nu} \partial_{\mu} A_{\nu} - \partial^{\mu} A^{\nu} \partial_{\nu} A_{\mu}) \\
&= \i \frac{1}{2} \delta Z_{3} A_{\mu} (\Box g^{\mu \nu} - \partial^{\mu} \partial^{\nu}) A_{\mu} + \text{surf.}
\end{align*}
From this we can deduce the Feynman Rule for photon counterterm as:
\begin{equation*}
\feynmandiagram [baseline=(b.base), layered layout, horizontal=a to b] {a -- [photon] b [crossed dot] -- [photon] c}; =  \i \delta Z_{3} (p^{\mu} p^{\nu} - p^{2} g^{\mu \nu} ) 
\end{equation*}
We therefore claim:
\begin{table}[H]
\makebox[530pt]{
\begin{tabularx}{\textwidth}{cccc}
\multicolumn{1}{m{0.3\textwidth}}{
\feynmandiagram [layered layout, horizontal=b to c] { 
a -- [photon] b [dot]
-- [fermion, half left, looseness=1.7] c [dot]
-- [fermion, half left, looseness=1.7] b,
c -- [photon] d,
};
}
& 
$+$
&
\feynmandiagram [layered layout, horizontal=a to b] {a -- [photon] b [crossed dot] -- [photon] c};
& $= \text{finite}$ \\[0.5cm]
$\i \Pi^{\mu \nu} (p)$ & $+$ & $ \i \delta Z_{3} (p^{\mu} p^{\nu} - p^{2} g^{\mu \nu} ) $ & $= \text{finite}$
\end{tabularx}}
\end{table} 
From this we an immediately deduce $\delta Z_{3}^{\overline{MS}}$ to be:
\begin{equation*}
\delta Z_{3}^{\overline{MS}} = - \frac{\alpha}{3\pi} \bigg( \frac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg)
\end{equation*}
Our results for the renormalization constant $Z_{3}$ in the $\overline{MS}$ ans $MS$ scheme are therefore given as:
\begin{itemize}
\item{$Z_{3}^{\overline{MS}} = 1 +\delta Z_{3}^{\overline{MS}} = 1 - \dfrac{\alpha}{3\pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg)$}
\item{$Z_{3}^{MS} = 1 +\delta Z_{3}^{MS} = 1 - \dfrac{\alpha}{3\pi \epsilon} $}
\end{itemize}
The last thing to do is to determine $Z_{3}^{OS}$. We do this by setting $p^{2} = m^{2}$.
\begin{equation*}
\Delta \bigg|_{p^{2} =m^{2}} = (x(x-1)+1)m^{2} =: \Delta^{\prime}
\end{equation*}
Which yields:
\begin{align*}
\int_{0}^{1} dx \, x(x-1) \log \bigg( \dfrac{\mu^{2}}{\Delta^{\prime}} \bigg) = \frac{1}{6} \log \bigg( \frac{m^{2}}{\mu^{2}} \bigg) + \text{finite}
\end{align*}
When we again follow the derivation for the $\overline{MS}$ and $MS$ scheme we conclude:
\begin{itemize}
\item{$Z_{3}^{OS} = 1 - \dfrac{\alpha}{3\pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) - \log \bigg( \dfrac{m^{2}}{\mu^{2}} \bigg) \bigg) $}
\end{itemize}
This finishes our discussion for $Z_{3}$.
\newpage
\textit{Ad (ii) and (iii):} We denote the amplitude of this graph by $\Sigma_{0} (p,m)$. With the usual Feynman Rules from QED we get:
\begin{align*}
\Sigma_{0} (p,m) &=\i (- \i e_{0})^{2} \big( \mu^{2-\frac{d}{2}}\big)^{2} \intdim \gamma^{\mu} \frac{\i}{(\slashed{p}-\slashed{q}) - m + \i \varepsilon} \gamma^{\nu} \frac{\i}{q^{2} + \i \varepsilon} \bigg( g_{\mu \nu} + (1-\xi) \frac{q_{\mu} q_{\nu}}{q^{2}} \bigg) \\
&= \i {e_{0}}^{2} \big( \mu^{2-\frac{d}{2}}\big)^{2} \intdim  \frac{1}{q^{2} + \i \varepsilon} \bigg[ \gamma^{\mu} \frac{1}{(\slashed{p}-\slashed{q}) - m + \i \varepsilon} \gamma_{\mu} - (1-\xi)\frac{1}{q^{2}} \slashed{q} \frac{1}{(\slashed{p}-\slashed{q}) - m + \i \varepsilon} \slashed{q} \bigg] \\
&=: I_{1} - (1-\xi) I_{2}
\end{align*}
Here we denoted by $I_{1}$ the first summand and by $I_{2}$ the second. The next step is to actually calculate $I_{1}$.
\begin{align*}
I_{1} = \i {e_{0}}^{2} \big( \mu^{2-\frac{d}{2}}\big)^{2} \intdim \gamma^{\mu} \frac{(\slashed{p} - \slashed{q}) + m }{((p-q)^{2} - m^{2} + \i \varepsilon)(q^{2} + \i \varepsilon)} \gamma_{\mu} = \ldots
\end{align*}
We must use Feynman Parameters to get this expression into an applicable form:
\begin{align*}
\ldots &=- \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \gamma^{\mu} \frac{(\slashed{p} - \slashed{q}) + m }{\big( x((p-q)^{2} - m^{2} + \i \varepsilon)+ (1-x) (q^{2} + \i \varepsilon) \big)^{2}} \gamma_{\mu} \\
&\overset{\mathclap{q \mapsto q+px}}{=} \hspace*{1.5em} - \i {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \gamma^{\mu} \frac{(1-x) \slashed{p} - \slashed{q} + m }{\big( q^{2} -( \underbrace{x(m^{2} + p^{2} (x-1) ) - \i \varepsilon}_{\Delta} ) \big)^{2}} \gamma_{\mu}  = \ldots
\end{align*}
Since the integral goes over all momentum space we can drop terms that are odd in the momentum. Afterward we use a formula form \textsf{dimreg} to obtain:
\begin{align*}
\ldots &= {e_{0}}^{2} \int_{0}^{1} dx \, \frac{\gamma^{\mu}( (1-x) \slashed{p}+m ) \gamma_{\mu}}{(4 \pi)^{\frac{d}{2}}} \frac{\Gamma (2-\frac{d}{2})}{\Gamma (2)} \bigg( \frac{\mu^{2}}{\Delta} \bigg)^{2-\frac{d}{2}} \\
&\overset{\mathclap{d=4-2\epsilon}}{=} \hspace*{1.5em}  \frac{{e_{0}}^{2}}{16 \pi^{2}} \int_{0}^{1} dx \, \bigg[ \bigg( \frac{1}{\epsilon} - \gamma_{E} \bigg) (-2 (1-x) \slashed{p} + 4m ) + 2( (1-x) \slashed{p} - m ) \\
&\hspace*{3cm}+ \log \bigg( \frac{4\pi \mu^{2}}{\Delta} \bigg) (-2 (1-x) \slashed{p} +4m \bigg] + \mathcal{O}(\epsilon) \\
&= \frac{\alpha_{0}}{4 \pi} \bigg[ - \bigg( \frac{1}{\epsilon} - \gamma_{E} \bigg) (\slashed{p} -4m ) + (\slashed{p} -2m) \\
&\hspace*{1.2cm} - 2 \int^{1}_{0} dx \, \log \bigg( \frac{4 \pi \mu^{2}}{x ( m^{2} - p^{2} (1-x) )} \bigg) ((1-x) \slashed{p} - 2m ) + \mathcal{O}(\epsilon)
\end{align*}
Now we have to do the same for $I_{2}$. We notice that we have to use a little bit more involved form of the Feynman Parameters, i.e. we use the formula:
\begin{equation*}
\frac{1}{A^{\alpha} B^{\beta}} = \frac{\Gamma (\alpha + \beta)}{\Gamma (\alpha) \Gamma(\beta)	} \int_{0}^{1} dx \, \frac{x^{\alpha-1} (1-x)^{\beta-1}}{(Ax + B(1-x) )^{\alpha + \beta}}
\end{equation*}
for $\alpha=1$ and $\beta=2$.
\begin{align*}
I_{2} &= - \i {e_{0}}^{2} \mu^{4-d} \intdim \slashed{q} \frac{(\slashed{p} - \slashed{q}) + m }{( (p-q)^{2} - m^{2} + \i \varepsilon ) (q^{2 } + \i \varepsilon )^{2}} \slashed{q} \\
&= - \i \Gamma (3) {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \slashed{q} \frac{(\slashed{p} - \slashed{q} + m) (1-x) }{\big( x( (p-q)^{2} - m^{2} + \i \varepsilon ) + (1-x) (q^{2 } + \i \varepsilon ) \big)^{3}} \slashed{q} \\
&\overset{\mathclap{q \mapsto q+px}}{=} \hspace*{1.5em} - \i \Gamma (3) {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, (\slashed{q} + \slashed{p}x) \frac{((1-x) \slashed{p} - \slashed{q}) + m) (1-x) }{\big( q^{2} - ( \underbrace{x(m^{2} + p^{2} (x-1))-\i \varepsilon}_{\Delta} )\big)^{3}}  (\slashed{q} + \slashed{p}x) = \ldots
\end{align*}
As earlier we can drop terms that are odd in the momentum:
\begin{align*}
\ldots &= - \i \Gamma (3) {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \dfrac{[ x^{2} ( \slashed{p} p^{2} (1-x) + m p^{2}) + \slashed{q} ( \slashed{p} (1-x) +m ) \slashed{q} - 2 \slashed{p} q^{2} x ] (1-x)}{(q^{2}-\Delta)^{3}} \\
&= - \i \Gamma (3) {e_{0}}^{2} \mu^{4-d} \intdim \int_{0}^{1} dx \, \dfrac{A+B q^{2} + C_{\mu \nu} q^{\mu} q^{\nu}}{(q^{2}-\Delta)^{3}} = \ldots
\end{align*}
To determine $A,B$ and $C_{\mu \nu}$ we need to massage the numerator a little bit further by making use of $\gamma$-matrix identities.
\begin{equation*}
\slashed{q} \slashed{p} \slashed{q} = q_{\mu} p_{\nu} q_{\sigma} \gamma^{\mu} \gamma^{\nu} \gamma^{\sigma} = 2 p \cdot q \slashed{q} - q^{2} \slashed{p}
\end{equation*}
We can then identify:
\begin{itemize}
\item{$A=(\slashed{p} p^{2} (1-x) + m p^{2})(1-x) x^{2} $}
\item{$B=(m-\slashed{p} (1-x) -2 \slashed{p} x)(1-x) = (m- \slashed{p} (1+x))(1-x)$} 
\item{$C_{\mu \nu}= 2 p_{\mu} \gamma_{\nu} (1-x)^{2}$} 
\end{itemize}
Now we can execute the integrals from \textsf{dimreg} and obtain the following:
\begin{align*}
\ldots &= {e_{0}}^{2} \int_{0}^{1} dx \, \dfrac{1}{(4 \pi)^{\frac{d}{2}}} \frac{\Gamma (\epsilon)}{2} \bigg( \frac{\mu^{2}}{\Delta} \bigg)^{\epsilon} (C^{\mu}_{\mu} + d B - 2A\epsilon \Delta^{-1} )\\
&= \frac{\alpha_{0}}{8 \pi} \int_{0}^{1} dx \, \bigg[ (C^{\mu}_{\mu} + 4 B ) \frac{1}{\epsilon} + \bigg(-2A \Delta^{-1} - 2 B + \log \bigg(\frac{4 \pi \mu^{2}}{\Delta} \bigg)  ( C^{\mu}_{\mu} + 4 B ) - \gamma_{E} (C^{\mu}_{\mu} + 4B) \bigg) \bigg] \\
&\quad+ \mathcal{O}(\epsilon) = \ldots
\end{align*}
We can evaluate the first term in the integral as:
\begin{equation*}
\int^{1}_{0} dx \, (C^{\mu}_{\mu} +4B) = (4m-2 \slashed{p} (1-x) -8\slashed{p} x) (1-x) = 2(m-\slashed{p})
\end{equation*}
We therefore get:
\begin{equation*}
\ldots = \frac{\alpha_{0}}{4 \pi} \bigg[ (\slashed{p}-m) \bigg( \frac{1}{\epsilon} -\gamma_{E} \bigg) - 2K + \frac{1}{2} \int_{0}^{1} dx \, \log \bigg( \dfrac{4 \pi \mu^{2}}{\Delta} \bigg) (C^{\mu}_{\mu} + 4 B ) \bigg] + \mathcal{O}(\epsilon) 
\end{equation*}
Here we denoted $K:= \int_{0}^{1} dx \, (A \Delta^{-1} +B)$. Leaving finite terms out and adding up $I_{1}- (1-\xi) I_{2}$ we get our final expression for $\Sigma_{0}(p,m$:
\begin{align*}
\allimplies \Sigma_{0}(p,m) &= - \frac{\alpha_{0}}{4 \pi} \bigg( \frac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) (\slashed{p}-4m) \\
&\quad+ \frac{\alpha_{0}}{4\pi} (1-\xi) \bigg( \frac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) (\slashed{p} - m ) + \text{finite} \\
&= - \frac{\alpha_{0}}{4 \pi} \bigg( \frac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) (\xi \slashed{p} - (3+\xi) m ) + \text{finite}
\end{align*}
Next we need to deduce the Feynman Rules concerning the counter terms. Expansion in $Z_{2}$ and $Z_{m}$ yields:
\begin{equation*}
\i \mathscr{L}_{\text{QED}} \ni - \delta Z_{2} \bar{\psi} \slashed{\partial} \psi - \i (\delta Z_{m} + \delta Z_{2}) m \bar{\psi} \psi 
\end{equation*}
We therefore get the Feynman Rule:
\begin{equation*}
\feynmandiagram [baseline=(b.base), layered layout, horizontal=a to b] {a -- [fermion] b [crossed dot] -- [fermion] c}; =  \i \delta Z_{2} \slashed{p} - \i (\delta Z_{m} + \delta Z_{2}) m
\end{equation*}
We therefore impose the condition:

\begin{table}[H]
\centering
\begin{tabular}{cccc}
\feynmandiagram [layered layout, horizontal=b to c] { 
a -- [fermion] b [dot] 
-- [photon, half left, looseness=1.7] c [dot]
c -- [fermion] d,
b -- [fermion] c,
};
& $+$ &
\feynmandiagram [layered layout, horizontal=a to b] {a -- [fermion] b [crossed dot] -- [fermion] c};
& $= \text{finite}$ \\[0.5cm]
$\i \Sigma_{0} (p,m)$ & $+$ & $\i \delta Z_{2} \slashed{p} - \i (\delta Z_{m} + \delta Z_{2}) m$ & $= \text{finite}$
\end{tabular}
\end{table}
For the $\overline{MS}$ scheme we therefore get:
\begin{equation*}
\i \frac{\alpha}{4 \pi} \bigg( \frac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) (\xi \slashed{p} - (3+ \xi) m) + \i \delta Z_{2} \slashed{p} - \i (\delta Z_{m} + \delta Z_{2}) m = 0
\end{equation*}
Since the coefficients from $\slashed{p}$ and $m$ have to vanish independently, equation coefficients yields:
\begin{itemize}
\item{$-\dfrac{\alpha}{4 \pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) \xi = \delta Z_{2} $}
\item{$- \dfrac{\alpha}{4 \pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) (3+\xi) = \delta Z_{m} + \delta Z_{2}$}
\end{itemize}
Which concludes to:
\begin{equation*}
\allimplies \delta Z_{2}^{\overline{MS}} = -\dfrac{\alpha}{4 \pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) \xi, \qquad \delta Z_{m}^{\overline{MS}} = -\dfrac{3 \alpha}{4 \pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) 
\end{equation*}
This gives us the renormalization constants $Z_{m}$ and $Z_{2}$ in the $\overline{MS}$ and $MS$ scheme as:
\begin{enumerate}[(i),start=2]
\item{
\begin{itemize}
\item{$Z_{m}^{\overline{MS}} = 1+ \delta_{m}^{\overline{MS}} = 1 -\dfrac{3 \alpha}{4 \pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) $}
\item{$Z_{m}^{MS} = 1+ \delta_{m}^{MS} = 1 -\dfrac{3 \alpha}{4 \pi \epsilon}  $}
\end{itemize}\vspace*{0.5cm}
}
\item{
\begin{itemize}
\item{$ Z_{2}^{\overline{MS}}  = 1+\delta Z_{2}^{\overline{MS}}  = 1 -\dfrac{\alpha}{4 \pi} \bigg( \dfrac{1}{\epsilon} - \gamma_{E} + \log (4\pi) \bigg) \xi$}
\item{$ Z_{2}^{MS}  = 1+\delta Z_{2}^{MS}  = 1 -\dfrac{\alpha}{4 \pi \epsilon} \xi$}
\end{itemize}
}
\end{enumerate}
The last thing to consider is the 'On-Shell' scheme right now.  The best way to do this is to write $\Sigma_{0} (p,m)$ as:
\begin{equation*}
\Sigma_{0} (p,m) = \Sigma_{1} (p^{2}) m + \Sigma_{2} (p^{2}) (\slashed{p}-m) 
\end{equation*}
The propagator then reads:
\begin{equation*}\label{eq-prop}
S(p) = \frac{1}{[1-\Sigma_{2} (p^{2})] (\slashed{p}-m) + \delta m - m \Sigma_{1} (p^{2}) } \tag{$\ast$}
\end{equation*}
The pole is therefore reached for:
\begin{equation*}
\delta m =\Sigma_{1} (m^{2}) m \quad \Rightarrow \quad Z_{m}^{OS} = 1 - \frac{\delta m }{m} = 1- \Sigma_{1} (m^{2})  
\end{equation*}
We can simply calculate $ \Sigma_{1} (m^{2})  $, since we are 'On-Shell':
\begin{equation*}
\Delta \bigg|_{p^{2}=m^{2}} = x^{2} m^{2} =: \Delta^{\prime} 
\end{equation*}
We can therefore directly calculate all terms involved in $I_{1}$. We get:
\begin{equation*}
\int_{0}^{1} dx \, \log \bigg( \frac{\mu^{2}}{\Delta^{\prime}} \bigg) ( \slashed{p} (1-x) -2m) = - \frac{1}{2} (\slashed{p}-4m) \log \bigg( \frac{m^{2}}{\mu^{2}} \bigg)
\end{equation*}
Which gives us in total:
\begin{align*}
\Sigma_{0} (p,m) &= -\dfrac{\alpha_{0}}{4 \pi} \bigg[ \bigg( \frac{1}{\epsilon} - \log \bigg( \dfrac{m^{2}}{\mu^{2}} \bigg) \bigg) (\slashed{p} -4m ) + 2 ( \slashed{p}-3m) \bigg] + \mathcal{O} (\xi)  \\
&= \underbrace{\frac{3 \alpha_{0}}{4 \pi} \bigg[ \frac{1}{\epsilon} - \log \bigg( \frac{m^{2}}{\mu^{2}} \bigg) + \frac{4}{3} \bigg]}_{\Sigma_{1} (m^{2})} m  \underbrace{-\dfrac{\alpha_{0}}{4 \pi} \bigg[ \frac{1}{\epsilon} - \log \bigg( \dfrac{m^{2}}{\mu^{2}} \bigg)  +  2  \bigg] }_{\Sigma_{2}(m^{2})} (\slashed{p} -m ) + \mathcal{O} (\xi)
\end{align*}
Therefore we obtain $Z_{m}^{OS}$ to be:
\begin{equation*}
Z_{m}^{OS}= 1 - \frac{3 \alpha_{0}}{4 \pi} \bigg[ \frac{1}{\epsilon} - \log \bigg( \frac{m^{2}}{\mu^{2}} \bigg) + \frac{4}{3} \bigg]
\end{equation*}
Now we only need to calculate $Z_{2}^{OS}$. We can expand (\ref{eq-prop}) near the mass shell to obtain:
\begin{equation*}
S(p) = \frac{1}{1- \Sigma_{2}(m^{2}) -2m^{2} \Sigma_{1}' (m^{2})} \frac{\slashed{p} + m }{p^{2} -m^{2}}
\end{equation*}
Which tells us that $Z_{2}^{OS}$ has to be:
\begin{equation*}
Z_{2}^{OS} = [1- \Sigma_{2}(m^{2}) -2m^{2} \Sigma_{1}' (m^{2})]^{-1}
\end{equation*}
With the results above we get:
\begin{equation*}
Z_{2}^{OS} = Z_{m}^{OS}= 1 - \frac{3 \alpha_{0}}{4 \pi} \bigg[ \frac{1}{\epsilon} - \log \bigg( \frac{m^{2}}{\mu^{2}} \bigg) + \frac{4}{3} \bigg]
\end{equation*}
The equality $Z_{3}^{OS} = Z_{m}^{OS}$ is only valid for 1-loop. This completes our discussion for the 1-loop renormalization constants in \textit{QED}.
\end{addmargin}
\noindent\rule{\textwidth}{1pt}
% Peskin and Schroeder
\includepdf[pages=-]{Peskin_p807.pdf}
\end{document}

